Size mmconf according to CONFIG_MMCONF_BUS_NUMBER.

Signed-off-by: Scott Duplichan <scott@notabs.org>

Index: src/mainboard/asrock/e350m1/agesawrapper.c
===================================================================
--- src/mainboard/asrock/e350m1/agesawrapper.c	(revision 6573)
+++ src/mainboard/asrock/e350m1/agesawrapper.c	(revision 6574)
@@ -138,7 +138,8 @@
    Set the MMIO Configuration Base Address and Bus Range onto MMIO configuration base
    Address MSR register.
   */
-  MsrReg = CONFIG_MMCONF_BASE_ADDRESS | (8 << 2) | 1;
+
+  MsrReg = CONFIG_MMCONF_BASE_ADDRESS | (LibAmdBitScanReverse (CONFIG_MMCONF_BUS_NUMBER) << 2) | 1;
   LibAmdMsrWrite (0xC0010058, &MsrReg, &StdHeader);
   
   /*
